#! perl -w

use strict;

my $msg1 = <<EOF1;
Place instrument on spot to be measured,
and hit [A-Z] to read white and setup FWA compensation (keyed to letter)
[a-z] to read and make FWA compensated reading from keyed reference
'r' to set reference, 's' to save spectrum,
'f' to report cal. refresh rate, 'F' to measure refresh rate
'h' to toggle high res., 'k' to do a calibration
Hit ESC or Q to exit, any other key to take a reading:
EOF1

my $msg2 = <<EOF2;
Result is XYZ: 70.121861 74.807805 77.681064, D50 Lab: 89.302891 -4.251252 -14.478743
Ambient = 74.8 Lux, CCT = 6337K (Delta E 6.620350)
Suggested EV @ ISO100 for 74.8 Lux incident light = 4.9
Closest Planckian temperature = 6080K (Delta E 5.855598)
Closest Daylight temperature  = 6222K (Delta E 2.521031)
EOF2

#open(STDERR, '>&', STDOUT) or die "Can't redirect stderr: $!";

while (1) {
	sleep 1;
	print "$msg1\n";
	
	my $input = <STDIN>;
	
	sleep 1;
	
	print "$msg2\n";
}


exit 0;
